#include <math.h>
#include <iostream.h>
#include "states.h"
#include "3dengine.h"

credits::credits()
{
	Name = "credits";

	Manager.load_image("data/silvert.png");
	Silvert = Manager.Images.back();
	Manager.load_image("data/loop.png");
	Loop = Manager.Images.back();
}

credits::~credits()
{
}

void credits::on_enter(void* Parameter)
{
	glEnable(GL_TEXTURE_2D);
	glEnable(GL_BLEND);
	glBlendFunc(GL_SRC_ALPHA, GL_ONE);
	glDisable(GL_CULL_FACE);
	glDisable(GL_DEPTH_TEST);
}

void credits::on_leave()
{
}

void credits::display_func()
{
	glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);

	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	glMatrixMode(GL_MODELVIEW);
	glLoadIdentity();

	float Time = sys_timer();

	END(52)
	{
		glColor4f(1, 1, 1, (Time - TIME(48)) / TIME(4));
		image::set(Silvert);
		Silvert->draw(-1, 1, 1, -1);
	}
	else END(56)
	{
		glColor4f(1, 1, 1, (Time - TIME(52)) / TIME(4));
		image::set(Loop);
		Loop->draw(-1, 1, 1, -1);
	}
	else END(56.625)
	{
		glColor4f(1, 1, 1, 1 - (Time - TIME(56)) / TIME(0.625));
		image::set(Loop);
		Loop->draw(-1, 1, 1, -1);
	}
	else
		leave();
}

