#include <math.h>
#include <iostream.h>
#include "states.h"
#include "3dengine.h"
#include "audio.h"

outro::outro()
{
	Name = "outro";

	Manager.load_image("data/outro.png");
	Image = Manager.Images.back();
}

outro::~outro()
{
}

void outro::on_enter(void* Parameter)
{
	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	glMatrixMode(GL_MODELVIEW);
	glLoadIdentity();
	glEnable(GL_TEXTURE_2D);
	glDisable(GL_DEPTH_TEST);
	glDisable(GL_CULL_FACE);

	glEnable(GL_BLEND);
	glBlendFunc(GL_SRC_ALPHA, GL_ONE);
	glColor4f(0.5, 0.25, 1, 1.0f);
}

void outro::on_leave()
{
}

void outro::display_func()
{
	glClear(GL_COLOR_BUFFER_BIT);

	float Time = sys_timer();

	END(107)
	{
		image::set(Image);
		Image->draw(
			-1 / ((Time - TIME(105)) / 5 + 1.0),  0.067f / ((Time - TIME(105)) / 5 + 1.0),
			 1 / ((Time - TIME(105)) / 5 + 1.0), -0.067f / ((Time - TIME(105)) / 5 + 1.0));
		Image->draw(
			-1 / ((Time - TIME(105)) / 5 + 0.95) , 0.067f / ((Time - TIME(105)) / 5 + 0.95),
			 1 / ((Time - TIME(105)) / 5 + 0.95), -0.067f / ((Time - TIME(105)) / 5 + 0.95));
		Image->draw(
			-1 / ((Time - TIME(105)) / 5 + 0.9) , 0.067f / ((Time - TIME(105)) / 5 + 0.9),
			 1 / ((Time - TIME(105)) / 5 + 0.9), -0.067f / ((Time - TIME(105)) / 5 + 0.9));
	}		
	else
		this->leave();
}

