#ifndef _STATE_H_
#define _STATE_H_

class state
{
private:
	state* Parent;
	static bool Exit;

public:
	char* Name;

	state();
	virtual ~state();

	virtual void on_enter(void* Parameter);
	virtual void on_leave();
	virtual void idle_func();
	virtual void display_func();
	virtual void keyboard_func(unsigned char key, int x, int y);
	virtual void keyboard_special_func(int key, int x, int y);
	virtual void leave();

	static void init();
	static void enter(state* State, void* Parameter);
	static void close();
};

#endif

